<?php
/**
 * @package   admintoolswp
 * @copyright Copyright (c)2017-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL version 3 or later
 */

use Akeeba\AdminTools\Admin\Helper\Language;

defined('ADMINTOOLSINC') or die;
?>

<h1>
    <a class="akeeba-component-name" href="<?php echo ADMINTOOLSWP_URL; ?>">
        <span class="akion-chevron-left"></span>
        <span class="aklogo-admintools-wp-small"></span>
        <?php echo Language::_('COM_ADMINTOOLS') ?>
    </a>
    <?php echo Language::_('COM_ADMINTOOLS_TITLE_ADMINPW');?>
</h1>

<section class="akeeba-panel">
	<p class="akeeba-block--info">
		<?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_INTRO'); ?>
	</p>

	<p class="akeeba-block--warning">
		<?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_WARN'); ?>
	</p>

	<form action="<?php echo ADMINTOOLSWP_URL; ?>&view=AdminPassword" name="adminForm" id="adminForm" method="post" class="akeeba-form">
		<p class="help-block"><?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_INFO'); ?></p>
		<div class="akeeba-form-section--horizontal">
			<div class="akeeba-form-group">
				<label for="username"><?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_USERNAME'); ?></label>
				<div>
					<input type="text" name="username" id="username" value="<?php echo $this->escape($this->username); ?>" autocomplete="off"/>
				</div>
			</div>

			<div class="akeeba-form-group">
				<label for="password"><?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_PASSWORD'); ?></label>
				<div>
					<input type="password" name="password" id="password" value="<?php echo $this->escape($this->password); ?>" autocomplete="off"/>
				</div>
			</div>

			<div class="akeeba-form-group">
				<label for="password2"><?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_PASSWORD2'); ?></label>
				<div>
					<input type="password" name="password2" id="password2" value="<?php echo $this->escape($this->password); ?>" autocomplete="off"/>
				</div>
			</div>

		</div>

		<div class="form-actions">
			<input type="submit" class="akeeba-btn--orange"
				   value="<?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_PROTECT'); ?>"/>
			<?php if ($this->adminLocked): ?>
				&nbsp;&nbsp;
				<a class="akeeba-btn--primary"
				   href="<?php echo ADMINTOOLSWP_URL; ?>&view=AdminPassword&task=unprotect&_wpnonce=<?php echo wp_create_nonce('getAdminPassword') ?>"
				>
					<?php echo Language::_('COM_ADMINTOOLS_LBL_ADMINPASSWORD_UNPROTECT'); ?>
				</a>
			<?php endif; ?>
			<a class="akeeba-btn--ghost" href="<?php echo ADMINTOOLSWP_URL; ?>">Cancel</a>
		</div>

        <input type="hidden" name="view" value="AdminPassword"/>
        <input type="hidden" name="task" id="task" value="protect"/>
		<?php wp_nonce_field('postAdminPassword', '_wpnonce', false) ?>
	</form>
</section>
